/*
 * Copyright (c) 2011, Patrik Dufresne. All rights reserved.
 * Patrik Dufresne PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.planimod.ui.databinding.state;

import org.eclipse.core.databinding.property.value.IValueProperty;

/**
 * Utility class to create state property.
 * 
 * @author Patrik Dufresne
 * 
 */
public class StateProperties {

	public static IValueProperty value() {
		return value(null);
	}

	public static IValueProperty value(Class valueType) {
		return new StateValueProperty(valueType);
	}

}
